ros-noetic-ypspur (1.20.2-1buster) buster; urgency=high

  * Revert "Fix timestamp estimation (#169 <https://github.com/openspur/yp-spur/issues/169>)" (#172 <https://github.com/openspur/yp-spur/issues/172>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 17 Mar 2021 00:00:00 -0000

ros-noetic-ypspur (1.20.1-1buster) buster; urgency=high

  * Fix timestamp estimation (#169 <https://github.com/openspur/yp-spur/issues/169>)
  * Update assets to v0.1.4 (#164 <https://github.com/openspur/yp-spur/issues/164>)
  * Migrate to GitHub Actions (#166 <https://github.com/openspur/yp-spur/issues/166>)
  * Update static_assert availability check (#163 <https://github.com/openspur/yp-spur/issues/163>)
  * Add static_assert to enum value overlap (#162 <https://github.com/openspur/yp-spur/issues/162>)
  * Fix version in CMakeLists (#161 <https://github.com/openspur/yp-spur/issues/161>)
  * Fix git directory on release-candidate (#159 <https://github.com/openspur/yp-spur/issues/159>)
  * Automatically update version in CMakeLists (#157 <https://github.com/openspur/yp-spur/issues/157>)
  * Update assets to v0.1.2 (#156 <https://github.com/openspur/yp-spur/issues/156>)
  * Update assets to v0.0.10 (#154 <https://github.com/openspur/yp-spur/issues/154>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 10 Mar 2021 00:00:00 -0000

ros-noetic-ypspur (1.20.0-1buster) buster; urgency=high

  * Add VOLT_MIN param (#151 <https://github.com/openspur/yp-spur/issues/151>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 27 Oct 2020 00:00:00 -0000

ros-noetic-ypspur (1.19.0-1buster) buster; urgency=high

  * Support online device dump (#147 <https://github.com/openspur/yp-spur/issues/147>)
  * Update assets to v0.0.9 (#146 <https://github.com/openspur/yp-spur/issues/146>)
  * Use snprintf instead of sprintf (#145 <https://github.com/openspur/yp-spur/issues/145>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 28 Aug 2020 00:00:00 -0000

ros-noetic-ypspur (1.18.2-1buster) buster; urgency=high

  * Fallback message if unable to get git revision (#142 <https://github.com/openspur/yp-spur/issues/142>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 31 Jul 2020 00:00:00 -0000

ros-noetic-ypspur (1.18.1-1buster) buster; urgency=high

  * Update assets to v0.0.8 (#139 <https://github.com/openspur/yp-spur/issues/139>)
  * Fix without-device mode (#136 <https://github.com/openspur/yp-spur/issues/136>)
  * Add CI job for Ubuntu Focal (#135 <https://github.com/openspur/yp-spur/issues/135>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 07 Apr 2020 00:00:00 -0000

ros-noetic-ypspur (1.18.0-1buster) buster; urgency=high

  * Accumulate packet lost count (#132 <https://github.com/openspur/yp-spur/issues/132>)
  * Fix torque offset gear factor (#131 <https://github.com/openspur/yp-spur/issues/131>)
  * Fix typo in error message (#130 <https://github.com/openspur/yp-spur/issues/130>)
  * Add DEVICE_TIMEOUT parameter and show packet lost error (#129 <https://github.com/openspur/yp-spur/issues/129>)
  * Fix --no-yp-protocol mode (#128 <https://github.com/openspur/yp-spur/issues/128>)
  * Add option to ping chained devices (#127 <https://github.com/openspur/yp-spur/issues/127>)
  * Update assets to v0.0.7 (#126 <https://github.com/openspur/yp-spur/issues/126>)
  * Update assets to v0.0.6 (#125 <https://github.com/openspur/yp-spur/issues/125>)
  * Migrate changelog format to rst (#124 <https://github.com/openspur/yp-spur/issues/124>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 21 Mar 2020 00:00:00 -0000

ros-noetic-ypspur (1.13.2-1buster) buster; urgency=high

  * [AWD] Freeモードから抜ける際に加速度制限が正しく働かないバグを修正
  * [AWD] B-Loco通信無効モードのCPU使用率を低減
  * [AWD] パラメータファイルの説明を出力する起動オプションを追加(--param-help)

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 05 Apr 2012 00:00:00 -0000

ros-noetic-ypspur (1.13.1-1buster) buster; urgency=high

  * [AWD] sh-velのスタートアップルーチン、リンカスクリプトをオリジナルのファイルに

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 14 Dec 2011 00:00:00 -0000

ros-noetic-ypspur (1.13.0-1buster) buster; urgency=high

  * [AWD] パラメータファイル中にロボットのサイズを記述できるように
  * [AWD] B-Locoとの通信を一切しないモードを追加(--without-device)
  * [AWD] 制御しないモードのコマンドライン引数を変更(--without-control)
  * [AWD] Windows環境で新しいgccに対応
  * [AWD] Windows環境で共有メモリとMutexの名前競合を解決
  * [AWD] Windows環境でシリアル通信のOS上のバッファをクリアできるように

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 11 Dec 2011 00:00:00 -0000

ros-noetic-ypspur (1.12.3-1buster) buster; urgency=high

  * [GND] sh-velのリセットタイマの仕様変更.YPSpur拡張コマンドの通信時はタイムアウトを長めに設定

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 06 Dec 2011 00:00:00 -0000

ros-noetic-ypspur (1.12.2-1buster) buster; urgency=high

  * [YOK] Mac OS X環境でシリアル通信ができるようにした

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 05 Dec 2011 00:00:00 -0000

ros-noetic-ypspur (1.12.1-1buster) buster; urgency=high

  * [GND] A/Dの値をssmに書き込む際のバッファリングのバグ修正
  * [GND] ビットレート(ボーレート)の設定のバグ修正
  * [GND] ypspur-coordinaterの初期化に失敗するとsh-velがリセットされないバグを修正(※sh-velを入れ直す必要あり)

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 04 Dec 2011 00:00:00 -0000

ros-noetic-ypspur (1.12.0-1buster) buster; urgency=high

  * [AWD] Passiveモード(押して進むモード作成)

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 14 Nov 2011 00:00:00 -0000

ros-noetic-ypspur (1.11.2-1buster) buster; urgency=high

  * [AWD] トルク推定の式をパラメータの単位系の修正に対応

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 03 Nov 2011 00:00:00 -0000

ros-noetic-ypspur (1.11.1-1buster) buster; urgency=high

  * [STK] モータ制御ゲインの計算で時間を考慮していないバグを修正
  * [STK] libodmssm.cで戻り値を使用していないバグを修正
  * [STK] パラーメータのバージョンが新しすぎても動作するバグを修正
  * [STK] MOTOR_VTCを読み込まないように修正
  * [STK] パラメータの単位系を修正（GAIN_KP, GAIN_KI, INTEGRAL_MAX, TORQUE_VISCOS）

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 31 Oct 2011 00:00:00 -0000

ros-noetic-ypspur (1.11.0-1buster) buster; urgency=high

  * [AWD] 並進力[N],トルク[Nm]の推定値取得コマンド追加(Spur_get_force)
  * [AWD] タイヤの出力トルク[Nm]の推定値取得コマンド追加(YP_get_wheel_torque)
  * [AWD] 出力トルクの推定値からロボットの慣性モーメントを推定するサンプル sample/MOI-estimate を追加
  * [AWD] 64bit環境用での、32bitコンパイルしたときに共有ライブラリが生成されないバグを修正
  * [AWD] 32/64bitの切り替え方法を変更、CFLAGS="-m32" ./configure のように (これまで configure --host=i686 としていたが、本来このオプションは i686-gcc というファイル名のコンパイラを使うという指定)
  * [AWD] ypspur-interpreterのコマンド解析部分のバグを修正

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 30 Oct 2011 00:00:00 -0000

ros-noetic-ypspur (1.10.1-1buster) buster; urgency=high

  * [STK] odometry_receiveで同じデータを何度も処理するバグを修正
  * [STK] odometry_receiveで受信したデータパケット数が正しいかを確認するようにした

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 22 Sep 2011 00:00:00 -0000

ros-noetic-ypspur (1.10.0-1buster) buster; urgency=high

  * [STK] 一部関数の名称変更
  * [STK] msg関連の定義をypspur.hからypparam.hへ移動
  * [STK] ypspur-coordinatorの戻り値を修正
  * [STK] ssmのadjustするSNAMEをSNAME_ADJUSTに修正
  * [STK] PWS補償の項が間違っていたので修正(モータ制御PIゲインの値を変える必要があります)
  * [STK] PWS補償のゲインを質量・慣性モーメントより自動的に計算するようにした。(慣性モーメントパラメータの追加)

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 28 Jul 2011 00:00:00 -0000

ros-noetic-ypspur (1.9.0-1buster) buster; urgency=high

  * [GND] パラメータ取得コマンドの追加(YPSpur_parameter_get)

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 22 Jul 2011 00:00:00 -0000

ros-noetic-ypspur (1.8.6-1buster) buster; urgency=high

  * [AWD] タイヤの回転数取得コマンドの追加(YP_get_wheel_vel)
  * [FWR] タイヤの角度取得コマンドの追加(YP_get_wheel_ang)

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 17 Jun 2011 00:00:00 -0000

ros-noetic-ypspur (1.8.5-1buster) buster; urgency=high

  * [STK] ssmの終了処理を追加
  * [AWD] トルク指令コマンドの追加(YP_wheel_torque)

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 01 Jun 2011 00:00:00 -0000

ros-noetic-ypspur (1.8.4-1buster) buster; urgency=high

  * [STK] sample/run-testを四角形を描くように改造、高速化
  * [STK] src/odometry.c odometry_receive()のad変換周りを修正
  * [STK] Spur_wheel_vel()をYP_wheel_vel()に変更
  * [STK] set_adjust_com()を修正
  * [STK] bitレートを用いたタイムスタンプの計算式を修正

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 28 Apr 2011 00:00:00 -0000

ros-noetic-ypspur (1.8.3-1buster) buster; urgency=high

  * [AWD] Spur_init時にメッセージキューが存在しない場合に-1を返すように修正
  * [AWD] Windows環境でメッセージ通信の破棄に対応
  * [AWD] Windows環境のシリアル通信のBaudRate型をDWORD型に修正
  * [AWD] Windows環境のメッセージ通信実装にmsgctlを追加
  * [AWD] Windows環境でpexportsが存在しないとき警告メッセージを表示するように変更
  * [AWD] siglonglmpが利用不可なとき可能ならlongjmpを利用するように修正(Ctrl+C処理を改善)

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 19 Feb 2011 00:00:00 -0000

ros-noetic-ypspur (1.8.2-1buster) buster; urgency=high

  * [AWD] sh-velでPWM値のリミット処理の間違いを修正

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 18 Nov 2010 00:00:00 -0000

ros-noetic-ypspur (1.8.1-1buster) buster; urgency=high

  * [AWD] 再接続時に、コマンド系が初期化されないように修正
  * [AWD] 再接続時に、デバイスが存在しかつ通信が成立しない場合に再試行するように修正

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 18 Nov 2010 00:00:00 -0000

ros-noetic-ypspur (1.8.0-1buster) buster; urgency=high

  * [AWD] デジタルIOを利用可能に

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 04 Nov 2010 00:00:00 -0000

ros-noetic-ypspur (1.7.4-1buster) buster; urgency=high

  * [AWD] SIGINTが送られたときの処理をちゃんと
  * [AWD] 終了時にメッセージキューを破棄するように変更
  * [AWD] すべての関数で、メッセージキューが破棄されているとき-1を返すように変更
  * [AWD] YPSpur_get_error_stateで、メッセージキューが破棄されていることによるエラーが発生したことがあるかチェックする(再度Spur_initをするとエラー情報がクリアされる)

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 02 Nov 2010 00:00:00 -0000

ros-noetic-ypspur (1.7.3-1buster) buster; urgency=high

  * [STK] SIGINTが送られたときの処理がなされていなかったので、追加（とりあえずexit(0）)
  * [STK] オドメトリなどをSSMに書き込まない"--without-ssm"モードを追加

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 13 Oct 2010 00:00:00 -0000

ros-noetic-ypspur (1.7.2-1buster) buster; urgency=high

  * [STK] YPSpur_orientの定義がypspur.hになかったので追加
  * [STK] ssmを使用すると、成功しても失敗したとメッセージがでるのを修正
  * [STK] ADを使うとSSMまわりの時間推定が間違えるのを修正
  * [STK] reconnect処理のtryconnectの引数を入れ忘れてたので追加
  * [STK] MacOS Xなどのldconfigが無い環境ではldconfigをしないように変更
  * [STK] LONG HELPを追加

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 02 Oct 2010 00:00:00 -0000

ros-noetic-ypspur (1.7.1-1buster) buster; urgency=high

  * [AWD] ssm_ypspur_handlerでparam.hがincludeされていなかったのを修正

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 26 Sep 2010 00:00:00 -0000

ros-noetic-ypspur (1.7.0-1buster) buster; urgency=high

  * [AWD] B-Locoとの通信速度を変更可能に(--speed N)
  * [AWD] PC側受信バッファオーバーフローのバグを修正(ADを使う場合)

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 26 Sep 2010 00:00:00 -0000

ros-noetic-ypspur (1.6.1-1buster) buster; urgency=high

  * [AWD] MinGW用のエラー回避コードが不要になっていたので削除
  * [AWD] 表示の詳細化(--verbose)の表示レベルの誤りを修正
  * [AWD] stop_line, spinコマンドで制御周期を考慮して、振動を若干改善

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 20 Sep 2010 00:00:00 -0000

ros-noetic-ypspur (1.6.0-1buster) buster; urgency=high

  * [AWD] パラメータに遠心加速度のリミットを追加
  * [AWD] パラメータのバージョン管理を追加、MAX_CENTRI_ACCの項を追加し、VERSION 1.0とすること
    
      * 遠心加速度は例えば0.25[G]=2.45[m/ss]
    
  * [AWD] 表示の抑制・詳細化に対応

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 15 Sep 2010 00:00:00 -0000

ros-noetic-ypspur (1.5.0-1buster) buster; urgency=high

  * [AWD] set_pos_GLがロボットの動作に影響を与えないようにset_posの動作を変更
  * [AWD] 走行制御は、SP座標系(Spur走行制御座標系)上で行うように変更
  * [AWD] near_pos, near_ang, over_lineが正しく働かないバグを修正
  * [AWD] ypspur-interpreterにSpurコマンドを追加

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 11 Sep 2010 00:00:00 -0000

ros-noetic-ypspur (1.4.2-1buster) buster; urgency=high

  * [AWD] Command analyzerの表示で、vel, wheel_velコマンドの引数が表示されないバグを修正
  * [AWD] YPプロトコルのバージョン管理方法を変更 YPP:00:00 (CURRENT:AGE)、libtoolのバージョン管理に準拠
  * [AWD] ypspur-interpreterにset_accel,set_angaccel,vel,wheel_velを追加
  * [AWD] ypspur-interpreterをreadline無しでもコンパイルできるように変更
  * [AWD] Windows環境で、sys/msq.h等のMessageQueue関連の関数・構造体の定義がない場合に対応
  * [AWD] DLLファイルの生成に関するmakefileの修正

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 09 Sep 2010 00:00:00 -0000

ros-noetic-ypspur (1.4.1-1buster) buster; urgency=high

  * [AWD] --admaskオプションの認識のバグ修正

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 04 Sep 2010 00:00:00 -0000

ros-noetic-ypspur (1.4.0-1buster) buster; urgency=high

  * [STK] YPSpur_isfreeze、YPSpur_stop_lineのヘッダファイル定義が無かったので追加
  * [STK] linuxでコンパイル時にdll.laファイルが作成されないようにした
  * [STK] ssm関連のバグ修正
  * [STK] ADをssmに書き出すようにした
  * [STK] ssmにあったypspur用のssmtypeの定義をypspurに移した
  * [AWD] PWS逆キネマティクス計算の符号を修正
  * [AWD] 逆キネマの修正に伴う軌跡追従制御関連の修正
  * [AWD] 加速度・角加速度・角速度設定値を正のみに制限
  * [STK] YPプロトコルのバージョン表記を変更 YPP00:00:00 (メジャー:マイナー:リビジョン)
  * [AWD] coordinator起動時にYPプロトコルのバージョンをチェックするように変更
  * [STK] コンパイルオプションのCFLAGSのデフォルトをconfigure.acに書くようにした
  * [AWD] ypspur-interpreterを追加

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Sep 2010 00:00:00 -0000

ros-noetic-ypspur (1.3.0-1buster) buster; urgency=high

  * [AWD] SH上でマイコンからPCのデータ送信を割り込みで行うように変更
  * [AWD] odometry.cがSSM有りでコンパイルできないバグを修正
  * [AWD] YP_get_ad_valueでADポートの値を取得可能に(coordinatorの引数で--admask 00001001のように取得するポート番号を指定, この例ではAD0,AD3を取得)
  * [AWD] ADポートの値を取得可能にするため、sh_velをバージョンアップ
  * [AWD] 他の環境のshクロスコンパイラの命名パターンを追加(sh-elf-*)
  * [AWD] 通信が切れたとき、正しく終了しないバグを修正

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 31 Aug 2010 00:00:00 -0000

ros-noetic-ypspur (1.2.2-1buster) buster; urgency=high

  * [AWD] Windows環境で、dll, lib, defファイルを出力するように

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 24 Aug 2010 00:00:00 -0000

ros-noetic-ypspur (1.2.1-1buster) buster; urgency=high

  * [AWD] Spurコマンドを実行する座標系を誤ってBSにしていたのをGLに修正

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 24 Aug 2010 00:00:00 -0000

ros-noetic-ypspur (1.2.0-1buster) buster; urgency=high

  * [AWD] Windows環境に対応―事実上のクロスプラットフォーム化 (MinGW + pthread for win32でコンパイル可能)
  * [AWD] コマンドとオドメトリ間での座標系周りのバグを修正
  * [AWD] YPSpur_isfreeze関数を追加

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 23 Aug 2010 00:00:00 -0000

ros-noetic-ypspur (1.1.1-1buster) buster; urgency=high

  * [AWD] クロスプラットフォーム化に向けて、mingw用のエラー回避コード作成

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 22 Aug 2010 00:00:00 -0000

ros-noetic-ypspur (1.1.0-1buster) buster; urgency=high

  * [AWD] 全面的なソースコードの構造変更(一部途中)
  * [AWD] ypspur-coordinator起動時にメッセージキューの内容を破棄
  * [AWD] 角度のみ指定して横方向の位置を指定しない走行コマンドYPSpur_orientを実装
  * [AWD] get_pos_FSマクロの削除
  * [AWD] 緊急停止コマンドYPSpur_freeze/unfreezeの実装
  * [AWD] 加速度・角加速度を、パラメータファイルによるリミット値とユーザー設定値で分離, 加速度設定はYPSpur_set_accel, YPSpur_set_ang_accelで可能(!!加速度・角加速度の初期値は0なので、必ずユーザーが指定する必要あり!!)
  * [AWD] 隠しオプション--enable-set-bsでBS座標系の書き換えが可能(シミュレーション等の実装用)
  * [AWD] バージョン表示オプション

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 18 Aug 2010 00:00:00 -0000

ros-noetic-ypspur (0.13.3-1buster) buster; urgency=high

  * [STK] Ubuntu 9.04以前の環境でコンパイルできなくなるバグを修正

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 30 Jul 2010 00:00:00 -0000

ros-noetic-ypspur (0.13.2-1buster) buster; urgency=high

  * [AWD] stop_lineで追従直線まで到達せずに、止まる直線に到達した後に距離偏差による角振動が続く現象を修正
  * [AWD] circleコマンドの追従中以外の安定性確保を適用し忘れていたのを再度適用
  * [AWD] spin / stop_line の位置サーボ系命令の力学計算の誤りを再度修正

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 29 Jun 2010 00:00:00 -0000

ros-noetic-ypspur (0.13.1-1buster) buster; urgency=high

  * [AWD] stop_lineコマンドで速度が負の時走りつづけるのを修正

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 09 Jun 2010 00:00:00 -0000

ros-noetic-ypspur (0.13.0-1buster) buster; urgency=high

  * [AWD] stop_lineコマンドの実装、circleコマンドの追従中以外の安定性確保
    
      * これに伴い、libypspurを更新
        
          * libypspur_la_LDFLAGS = -version-info 1:0:1
        
    
  * [AWD] 引数の隠しコマンドで、動作中にUSBデバイスが取り外された場合に自動再接続
  * [AWD] エラー表示関連の統一
  * [AWD] 引数の隠しコマンドで、msq keyを指定可能に。Spur_initexでmsq keyを指定した初期化が可能。

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 09 Jun 2010 00:00:00 -0000

ros-noetic-ypspur (0.12.2-1buster) buster; urgency=high

  * [STK] libodmssmのバグフィックス
  * [STK] libtooolのバージョン管理形式の変更
    
      * release @PACKAGE_VERSION@ から -version-info 0:0:0 に変更libcarte2d_la_LDFLAGS = -version-info 0:0:0
        
        libodomssm_la_LDFLAGS = -lssm -version-info 0:0:0
        
        libypspur_la_LDFLAGS = -version-info 0:0:0
      * これに対応するためlibypspurを変更する毎にsrc/Makefile.am,auxlib/Makefile.amを修正する必要があるが、libypspurを変更しない限りバージョンが上がってもユーザープログラムをmakeし直す必要が無くなるはず。
    

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 03 Jun 2010 00:00:00 -0000

ros-noetic-ypspur (0.12.1-1buster) buster; urgency=high

  * [AWD] 動作中にUSBデバイスが取り外された場合にエラーを表示して終了するように変更。
  * B-Locoの通信プロトコル確認時にタイムアウト処理を行い、3回試行してダメならエラーを表示して終了するように変更。
  * 制御周期の割り込みをtimerfdからclock_nanosleepに変更。(kernel2.6系で利用可能。2.4系ではnanosleepを利用。)

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 28 May 2010 00:00:00 -0000

ros-noetic-ypspur (0.11.2-1buster) buster; urgency=high

  * [STK] ライブラリのヘッダファイルを名称の統一のため"yp-spur.h"から"ypspur.h"に変更。
  * 互換性のため"yp-spur.h"に自動的にシンボリックリンクを貼るようにした。
  * インストール時に自動的にldconfigを実行するようにした。

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 20 Apr 2010 00:00:00 -0000

ros-noetic-ypspur (0.11.1-1buster) buster; urgency=high

  * [STK] パラメータファイルのパッケージを分離。パラメータの読み込みをpkg-configを使用するように変更。バージョン番号の管理形式を変更。

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 15 Apr 2010 00:00:00 -0000


